# Simulate verifying a KYC review

Verifies requirement(s) on an existing KYC (Know Your Customer) review. Can be used after a user has provided input for a requirement through the hosted journey or simulated the requirement submission.

Endpoint: POST /v2/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/verify
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

  - `kycReviewId` (string, required)
    The ID of the existing KYC review.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `requestedAction` (string)
    The action to be carried out.
    Enum: "APPROVE", "REJECT"

  - `requirements` (array)
    Zero or more requirements to be verified. If not provided, all blocking requirements are verified.

